### Enumeration

# Gdk TextureError

since: 4.6

#### Declaration

    error-domain Gdk.TextureError

#### Description [src]

Possible errors that can be returned by `GdkTexture` constructors.

Available since: 4.6

#### Members

`GDK_TEXTURE_ERROR_TOO_LARGE`

  Not enough memory to handle this image.

  - Value: `0`
  - Nickname: `too-large`
  - Available since: 4.6
`GDK_TEXTURE_ERROR_CORRUPT_IMAGE`

  The image data appears corrupted.

  - Value: `1`
  - Nickname: `corrupt-image`
  - Available since: 4.6
`GDK_TEXTURE_ERROR_UNSUPPORTED_CONTENT`

  The image contains features that cannot be loaded.

  - Value: `2`
  - Nickname: `unsupported-content`
  - Available since: 4.6
`GDK_TEXTURE_ERROR_UNSUPPORTED_FORMAT`

  The image format is not supported.

  - Value: `3`
  - Nickname: `unsupported-format`
  - Available since: 4.6

#### Type functions

###### gdk_texture_error_quark

No description available.

since: 4.0